Package org.eclipse.net4j.util.ref

## Class KeyedPhantomReference<K,​T>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.PhantomReference<T>
    - - org.eclipse.net4j.util.ref.KeyedPhantomReference<K,​T>

- All Implemented Interfaces:
    `KeyedReference<K,​T>`

      public class KeyedPhantomReference<K,​T>
      extends java.lang.ref.PhantomReference<T>
      implements KeyedReference<K,​T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyedPhantomReference​(K key, T ref, java.lang.ref.ReferenceQueue<T> queue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `K` | `getKey()` |
    `ReferenceType` | `getType()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.ref.PhantomReference

      `get`

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, clone, enqueue, isEnqueued, reachabilityFence`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.ref.KeyedReference

      `clear, enqueue, get, isEnqueued`

- - ### Constructor Detail

    - #### KeyedPhantomReference

          public KeyedPhantomReference​(K key,
                                       T ref,
                                       java.lang.ref.ReferenceQueue<T> queue)

  - ### Method Detail

    - #### getType

          public ReferenceType getType()

      Specified by:
        `getType` in interface `KeyedReference<K,​T>`

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `KeyedReference<K,​T>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`